summaryrefslogtreecommitdiff
path: root/games/parallel-n64/parallel-n64.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/parallel-n64/parallel-n64.SlackBuild')
-rw-r--r--games/parallel-n64/parallel-n64.SlackBuild31
1 files changed, 11 insertions, 20 deletions
diff --git a/games/parallel-n64/parallel-n64.SlackBuild b/games/parallel-n64/parallel-n64.SlackBuild
index 0b5e140632..02375cfdaf 100644
--- a/games/parallel-n64/parallel-n64.SlackBuild
+++ b/games/parallel-n64/parallel-n64.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=parallel-n64
LIBNAM="$(printf %s $PRGNAM | tr - _)_libretro"
-VERSION=${VERSION:-2017.08.07_7ee9ace2}
+VERSION=${VERSION:-2017.12.20_c2f2b94}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,10 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
-GLES=${GLES:-0}
-
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -75,27 +72,21 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-if [ "$DEBUG" = 1 ]; then
- LIBNAM="$(printf %s "$LIBNAM" | sed "s/_libretro/_debug_libretro/")"
-fi
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1 \
+ LIBNAM="$(printf %s "$LIBNAM" | sed 's/_libretro/_debug_libretro/')"
-# parallel is baked out due to llvm 4 build issues
-# https://github.com/libretro/parallel-n64/issues/448
-case "${PARALLEL:-1}" in
- [!1]) PARALLEL=0 ;;
- *) PARALLEL=1 ;;
-esac
+[ "${GLES:=0}" != 0 ] && GLES=1
-make DEBUG="$DEBUG" \
- GIT_VERSION="${VERSION#*_}" \
- HAVE_VULKAN_DEBUG="$DEBUG" \
- HAVE_PARALLEL="$PARALLEL" \
- FORCE_GLES="$GLES"
+make \
+ DEBUG=$DEBUG \
+ HAVE_VULKAN_DEBUG=$DEBUG \
+ FORCE_GLES=$GLES \
+ GIT_VERSION="${VERSION#*_}"
install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
-if [ "$DEBUG" = 0 ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi